Package org.apache.storm.trident.operation.impl

## Class IdentityMultiReducer<T>

- java.lang.Object
- - org.apache.storm.trident.operation.impl.IdentityMultiReducer<T>

- All Implemented Interfaces:
    `Serializable`, `MultiReducer<T>`

      public class IdentityMultiReducer<T>
      extends Object
      implements MultiReducer<T>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IdentityMultiReducer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `cleanup()` |
    `void` | `complete​(T state, TridentCollector collector)` |
    `void` | `execute​(T state, int streamIndex, TridentTuple input, TridentCollector collector)` |
    `T` | `init​(TridentCollector collector)` |
    `void` | `prepare​(Map<String,​Object> conf, TridentMultiReducerContext context)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IdentityMultiReducer

          public IdentityMultiReducer()

  - ### Method Detail

    - #### prepare

          public void prepare​(Map<String,​Object> conf,
                              TridentMultiReducerContext context)

      Specified by:
        `prepare` in interface `MultiReducer<T>`

    - #### init

          public T init​(TridentCollector collector)

      Specified by:
        `init` in interface `MultiReducer<T>`

    - #### execute

          public void execute​(T state,
                              int streamIndex,
                              TridentTuple input,
                              TridentCollector collector)

      Specified by:
        `execute` in interface `MultiReducer<T>`

    - #### complete

          public void complete​(T state,
                               TridentCollector collector)

      Specified by:
        `complete` in interface `MultiReducer<T>`

    - #### cleanup

          public void cleanup()

      Specified by:
        `cleanup` in interface `MultiReducer<T>`